cascading.flow.planner.iso.subgraph

## Class GraphPartitioner

- java.lang.Object
- - cascading.flow.planner.iso.subgraph.GraphPartitioner

Direct Known Subclasses:
  ExpressionGraphPartitioner, WholeGraphPartitioner

    public abstract class GraphPartitioner
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`GraphPartitioner()`

### Method Summary

Methods
`Partitions` `partition(PlannerContext plannerContext, ElementGraph elementGraph)`
`abstract Partitions` `partition(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Collection<FlowElement> excludes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphPartitioner

    public GraphPartitioner()

### Method Detail

#### partition

    public Partitions partition(PlannerContext plannerContext,
                       ElementGraph elementGraph)

#### partition

    public abstract Partitions partition(PlannerContext plannerContext,
                       ElementGraph elementGraph,
                       java.util.Collection<FlowElement> excludes)